Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface Converter

All Known Implementing Classes:
  ConverterForAtom03, ConverterForAtom10, ConverterForRSS090, ConverterForRSS091Netscape, ConverterForRSS091Userland, ConverterForRSS092, ConverterForRSS093, ConverterForRSS094, ConverterForRSS10, ConverterForRSS20

    public interface Converter

Interface that defines the functionality to convert a SyndFeedImpl to a real feed (RSS or Atom) and vice versa.

Each implementation knows how to deal with a specific type (version) of a real feed.

Implementations must be thread safe.

TODO: explain how developers can plugin their own implementations.

Author:
  Alejandro Abdelnur

Method Summary
`void` | `copyInto(WireFeed feed, SyndFeed syndFeed)` Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.
`WireFeed` | `createRealFeed(SyndFeed syndFeed)` Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.
`String` | `getType()` Returns the type (version) of the real feed this converter handles.

Method Detail

### getType

    String getType()

  Returns the type (version) of the real feed this converter handles.

  Returns:
    the real feed type.
  See Also:
    `for details on the format of this string.

    `

### copyInto

    void copyInto(WireFeed feed,
                  SyndFeed syndFeed)

  Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.

  It assumes the given SyndFeedImpl has no properties set.

  Parameters:
    `feed` - real feed to copy/convert.
    `syndFeed` - the SyndFeedImpl that will contain the copied/converted values of the real feed.

### createRealFeed

    WireFeed createRealFeed(SyndFeed syndFeed)

  Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.

  Parameters:
    `syndFeed` - SyndFeedImpl to copy/convert value from.
  Returns:
    a real feed with copied/converted values of the SyndFeedImpl.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.